# CUpti_PCSamplingConfigurationInfoParams Struct Reference
[CUPTI PC Sampling API]

PC sampling configuration structure. More...

## Data Fields
CUcontext | ctx
size_t | numAttributes
CUpti_PCSamplingConfigurationInfo * | pPCSamplingConfigurationInfo
void * | pPriv
size_t | size

## Detailed Description

This structure configures PC sampling using cuptiPCSamplingSetConfigurationAttribute and queries PC sampling default configuration using cuptiPCSamplingGetConfigurationAttribute

## Field Documentation

CUcontext CUpti_PCSamplingConfigurationInfoParams::ctx

[w] CUcontext

size_t CUpti_PCSamplingConfigurationInfoParams::numAttributes

[w] Number of attributes to configure using cuptiPCSamplingSetConfigurationAttribute or query using cuptiPCSamplingGetConfigurationAttribute

CUpti_PCSamplingConfigurationInfo* CUpti_PCSamplingConfigurationInfoParams::pPCSamplingConfigurationInfo

Refer CUpti_PCSamplingConfigurationInfo

void* CUpti_PCSamplingConfigurationInfoParams::pPriv

[w] Assign to NULL

size_t CUpti_PCSamplingConfigurationInfoParams::size

[w] Size of the data structure i.e. CUpti_PCSamplingConfigurationInfoParamsSize CUPTI client should set the size of the structure. It will be used in CUPTI to check what fields are available in the structure. Used to preserve backward compatibility.